function[n,th,hyst]=edge_params(maxsig);
% 
% Thresholds MCP 
% One threshold:      th_n=1    
% Multiple-Threshold: th_n>1
s=mean(maxsig);
th_min=0.05*s; th_max=0.45*s;
% th_min=0.1*s; th_max=0.25*s;
% Number of thresholds: th_n
hyst=1;
th_n=4;
%
if th_n==1
    n=1;
    th=th_min
    return
else
  th_n=th_n-1; th_inc=(th_max-th_min)/th_n;
  th=[th_min:th_inc:th_max]
  n=size(th,2);
end


